/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20200326 (64-bit version)
 * Copyright (c) 2000 - 2020 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of SSDT1, Fri Dec 10 17:03:25 2021
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000000A2 (162)
 *     Revision         0x01
 *     Checksum         0x53
 *     OEM ID           "LENOVO"
 *     OEM Table ID     "PID0Ssdt"
 *     OEM Revision     0x00000001 (1)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20180313 (538444563)
 */
DefinitionBlock ("", "SSDT", 1, "LENOVO", "PID0Ssdt", 0x00000001)
{
    External (_SB_.PCI0.LPC0.EC0_, DeviceObj)
    External (_SB_.PCI0.LPC0.EC0_.HKEY, DeviceObj)

    Scope (\_SB.PCI0.LPC0.EC0)
    {
        Device (LHKF)
        {
            Name (_HID, EisaId ("LEN0130"))  // _HID: Hardware ID
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                Return (0x0F)
            }
        }
    }
}

