/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20200326 (64-bit version)
 * Copyright (c) 2000 - 2020 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of SSDT4, Fri Dec 10 17:03:25 2021
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000A42 (2626)
 *     Revision         0x01
 *     Checksum         0xAD
 *     OEM ID           "LENOVO"
 *     OEM Table ID     "WmiTable"
 *     OEM Revision     0x00000001 (1)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20180313 (538444563)
 */
DefinitionBlock ("", "SSDT", 1, "LENOVO", "WmiTable", 0x00000001)
{
    Scope (\_SB)
    {
        Device (WMI6)
        {
            Name (_HID, EisaId ("PNP0C14") /* Windows Management Instrumentation Device */)  // _HID: Hardware ID
            Name (_UID, "LWMI")  // _UID: Unique ID
            Name (_WDG, Buffer (0x50)
            {
                /* 0000 */  0x12, 0x57, 0x7D, 0xE8, 0x6D, 0xFD, 0x84, 0x48,  // .W}.m..H
                /* 0008 */  0xB8, 0x33, 0x46, 0xD6, 0x75, 0x9A, 0xD6, 0xBC,  // .3F.u...
                /* 0010 */  0x45, 0x45, 0x01, 0x02, 0xAB, 0x5A, 0x30, 0x1E,  // EE...Z0.
                /* 0018 */  0xDE, 0xCC, 0xEC, 0x4F, 0x85, 0x9B, 0x19, 0x7A,  // ...O...z
                /* 0020 */  0x50, 0x3E, 0x45, 0x79, 0x45, 0x46, 0x01, 0x02,  // P>EyEF..
                /* 0028 */  0x4E, 0xD2, 0x16, 0x2D, 0x8D, 0xF8, 0xD3, 0x46,  // N..-...F
                /* 0030 */  0x8A, 0x9E, 0x69, 0x3F, 0xDF, 0xCD, 0xB9, 0x8B,  // ..i?....
                /* 0038 */  0x45, 0x42, 0x01, 0x02, 0x21, 0x12, 0x90, 0x05,  // EB..!...
                /* 0040 */  0x66, 0xD5, 0xD1, 0x11, 0xB2, 0xF0, 0x00, 0xA0,  // f.......
                /* 0048 */  0xC9, 0x06, 0x29, 0x10, 0x46, 0x45, 0x01, 0x00   // ..).FE..
            })
            OperationRegion (SMIP, SystemIO, 0xB0, 0x01)
            Field (SMIP, ByteAcc, NoLock, Preserve)
            {
                IOB2,   8
            }

            OperationRegion (LNVS, SystemMemory, 0xCBC2A000, 0x0120)
            Field (LNVS, AnyAcc, NoLock, Preserve)
            {
                SGNT,   32, 
                MCMD,   32, 
                SCMD,   32, 
                RCDE,   32, 
                DAT1,   32, 
                DAT2,   32, 
                DAT3,   32, 
                DAT4,   32, 
                BDAT,   2048
            }

            Mutex (MSMI, 0x00)
            Name (LBUF, Package (0x05)
            {
                0x00, 
                0x00, 
                0x00, 
                0x00, 
                0x00
            })
            Method (LSMI, 6, Serialized)
            {
                Acquire (MSMI, 0xFFFF)
                MCMD = Arg0
                RCDE = 0x00
                SCMD = Arg1
                DAT1 = Arg2
                DAT2 = Arg3
                DAT3 = Arg4
                DAT4 = Arg5
                IOB2 = 0xCE
                LBUF [0x00] = RCDE /* \_SB_.WMI6.RCDE */
                LBUF [0x01] = DAT1 /* \_SB_.WMI6.DAT1 */
                LBUF [0x02] = DAT2 /* \_SB_.WMI6.DAT2 */
                LBUF [0x03] = DAT3 /* \_SB_.WMI6.DAT3 */
                LBUF [0x04] = DAT3 /* \_SB_.WMI6.DAT3 */
                Release (MSMI)
                Return (LBUF) /* \_SB_.WMI6.LBUF */
            }

            Method (WMEE, 3, NotSerialized)
            {
                CreateByteField (Arg2, 0x00, TDA1)
                CreateByteField (Arg2, 0x01, TDA2)
                CreateByteField (Arg2, 0x02, TDA3)
                Arg1--
                LSMI (0x01, Arg1, TDA1, TDA2, TDA3, 0x00)
                Return (DAT1) /* \_SB_.WMI6.DAT1 */
            }

            Method (WMEF, 3, NotSerialized)
            {
                CreateByteField (Arg2, 0x00, TDA1)
                CreateByteField (Arg2, 0x01, TDA2)
                CreateByteField (Arg2, 0x02, TDA3)
                Arg1--
                LSMI (0x01, Arg1, TDA1, TDA2, TDA3, 0x00)
                Return (DAT1) /* \_SB_.WMI6.DAT1 */
            }

            Method (WMEB, 3, NotSerialized)
            {
                If ((Arg1 == 0x01))
                {
                    Return (BDAT) /* \_SB_.WMI6.BDAT */
                }
                ElseIf ((Arg1 == 0x02))
                {
                    BDAT = Arg2
                }
            }

            Name (WQFE, Buffer (0x07FA)
            {
                /* 0000 */  0x46, 0x4F, 0x4D, 0x42, 0x01, 0x00, 0x00, 0x00,  // FOMB....
                /* 0008 */  0xEA, 0x07, 0x00, 0x00, 0xB0, 0x25, 0x00, 0x00,  // .....%..
                /* 0010 */  0x44, 0x53, 0x00, 0x01, 0x1A, 0x7D, 0xDA, 0x54,  // DS...}.T
                /* 0018 */  0x28, 0x5B, 0x92, 0x00, 0x01, 0x06, 0x18, 0x42,  // ([.....B
                /* 0020 */  0x10, 0x0B, 0x10, 0x0A, 0x0C, 0x21, 0x02, 0x0B,  // .....!..
                /* 0028 */  0x83, 0x50, 0x44, 0x18, 0x14, 0xA0, 0x45, 0x41,  // .PD...EA
                /* 0030 */  0xC8, 0x05, 0x14, 0x95, 0x02, 0x21, 0xC3, 0x02,  // .....!..
                /* 0038 */  0x14, 0x0B, 0x70, 0x2E, 0x40, 0xBA, 0x00, 0xE5,  // ..p.@...
                /* 0040 */  0x28, 0x72, 0x0C, 0x22, 0x02, 0xF7, 0xEF, 0x0F,  // (r."....
                /* 0048 */  0x31, 0x0A, 0x88, 0x14, 0x40, 0x48, 0x22, 0x84,  // 1...@H".
                /* 0050 */  0x44, 0x00, 0x53, 0x21, 0x70, 0x84, 0xA0, 0x5F,  // D.S!p.._
                /* 0058 */  0x01, 0x08, 0x1D, 0x0A, 0x90, 0x29, 0xC0, 0xA0,  // .....)..
                /* 0060 */  0x00, 0xA7, 0x08, 0x22, 0x88, 0x52, 0x23, 0x90,  // ...".R#.
                /* 0068 */  0xA0, 0x7A, 0x15, 0x60, 0x5B, 0x80, 0x69, 0x24,  // .z.`[.i$
                /* 0070 */  0x59, 0x9E, 0x83, 0xB4, 0xA3, 0x68, 0x10, 0x51,  // Y....h.Q
                /* 0078 */  0x12, 0x58, 0xE4, 0x08, 0x50, 0x62, 0x46, 0x80,  // .X..PbF.
                /* 0080 */  0xD2, 0x39, 0x01, 0xD9, 0x14, 0x60, 0x11, 0x59,  // .9...`.Y
                /* 0088 */  0x42, 0x51, 0x34, 0x81, 0x28, 0x09, 0xA2, 0xF7,  // BQ4.(...
                /* 0090 */  0x8D, 0xA0, 0x21, 0x95, 0x2B, 0x40, 0x32, 0xBE,  // ..!.+@2.
                /* 0098 */  0x34, 0xCF, 0x4A, 0xD6, 0x05, 0xC8, 0x1E, 0x16,  // 4.J.....
                /* 00A0 */  0x1D, 0x01, 0x4F, 0x6B, 0x04, 0x84, 0x45, 0x59,  // ..Ok..EY
                /* 00A8 */  0xA4, 0x22, 0x39, 0x80, 0xC1, 0x78, 0x00, 0x91,  // ."9..x..
                /* 00B0 */  0x9C, 0x81, 0xA2, 0x80, 0x3D, 0xAA, 0x13, 0x69,  // ....=..i
                /* 00B8 */  0x72, 0x94, 0x74, 0xE7, 0x82, 0x43, 0x8C, 0xD1,  // r.t..C..
                /* 00C0 */  0xE3, 0x6C, 0x5E, 0x80, 0xEE, 0x89, 0x68, 0x76,  // .l^...hv
                /* 00C8 */  0x1E, 0x5B, 0x48, 0x26, 0x6D, 0x28, 0xA8, 0x81,  // .[H&m(..
                /* 00D0 */  0x7B, 0x5A, 0x27, 0xE5, 0x39, 0x7A, 0x50, 0x86,  // {Z'.9zP.
                /* 00D8 */  0x49, 0xE0, 0x51, 0x30, 0x34, 0x4E, 0x50, 0x16,  // I.Q04NP.
                /* 00E0 */  0x84, 0x76, 0x44, 0x07, 0x4A, 0x86, 0xCC, 0xE6,  // .vD.J...
                /* 00E8 */  0x58, 0xBC, 0x00, 0xE1, 0xD0, 0x9A, 0xC8, 0x83,  // X.......
                /* 00F0 */  0xC0, 0x21, 0xB3, 0x03, 0x81, 0xB1, 0x8F, 0x19,  // .!......
                /* 00F8 */  0x3B, 0xA2, 0x70, 0x01, 0xCF, 0xE7, 0x18, 0x22,  // ;.p...."
                /* 0100 */  0xC7, 0x3D, 0xD4, 0x18, 0x47, 0x11, 0xF9, 0x29,  // .=..G..)
                /* 0108 */  0x80, 0x0B, 0x9A, 0x81, 0x10, 0x42, 0x57, 0x2A,  // .....BW*
                /* 0110 */  0xC0, 0xE7, 0x68, 0x84, 0x73, 0xEA, 0x71, 0xC2,  // ..h.s.q.
                /* 0118 */  0xD4, 0x3A, 0x1F, 0xCD, 0x9D, 0x11, 0xFC, 0xFF,  // .:......
                /* 0120 */  0x8B, 0x1E, 0x04, 0x4A, 0x06, 0x84, 0x3C, 0x0A,  // ...J..<.
                /* 0128 */  0xB0, 0x8A, 0xA7, 0xDB, 0x81, 0x09, 0x22, 0x16,  // ......".
                /* 0130 */  0x27, 0xC0, 0x1B, 0x8C, 0xAC, 0x61, 0xC8, 0x98,  // '....a..
                /* 0138 */  0x00, 0x65, 0x02, 0x6C, 0x8D, 0x42, 0x38, 0xB5,  // .e.l.B8.
                /* 0140 */  0x41, 0x08, 0xE5, 0x50, 0xC3, 0x45, 0x88, 0x11,  // A..P.E..
                /* 0148 */  0xA5, 0x42, 0x10, 0x39, 0x43, 0x10, 0x94, 0xE1,  // .B.9C...
                /* 0150 */  0x0C, 0x11, 0x37, 0x72, 0x73, 0x97, 0x02, 0xC1,  // ..7rs...
                /* 0158 */  0x18, 0xEF, 0x54, 0x12, 0x78, 0xD8, 0xB8, 0xF1,  // ..T.x...
                /* 0160 */  0x7B, 0x60, 0x87, 0x76, 0x76, 0xC7, 0xFF, 0x5C,  // {`.vv..\
                /* 0168 */  0x70, 0x9C, 0x6C, 0x5E, 0xC7, 0xF5, 0x74, 0xF0,  // p.l^..t.
                /* 0170 */  0x26, 0x71, 0xB4, 0x51, 0x63, 0xC4, 0x0F, 0x4A,  // &q.Qc..J
                /* 0178 */  0x1E, 0x10, 0x3A, 0x54, 0x38, 0x12, 0x3C, 0xEA,  // ..:T8.<.
                /* 0180 */  0xBC, 0xE0, 0x93, 0x81, 0x47, 0x76, 0xD8, 0x1E,  // ....Gv..
                /* 0188 */  0xEC, 0x09, 0x04, 0x79, 0x74, 0xF0, 0x99, 0xE1,  // ...yt...
                /* 0190 */  0x91, 0xC0, 0x63, 0x60, 0x77, 0x05, 0x1F, 0x02,  // ..c`w...
                /* 0198 */  0x7C, 0x46, 0xC0, 0xBB, 0x06, 0xD4, 0xE5, 0xE0,  // |F......
                /* 01A0 */  0xD1, 0x80, 0x8D, 0x39, 0x1C, 0x66, 0xB8, 0x3E,  // ...9.f.>
                /* 01A8 */  0x00, 0x84, 0x3B, 0x81, 0x27, 0x83, 0x07, 0x0C,  // ..;.'...
                /* 01B0 */  0x7E, 0xD8, 0xF0, 0xE0, 0x70, 0x33, 0x3C, 0x99,  // ~...p3<.
                /* 01B8 */  0x23, 0x2B, 0x55, 0x80, 0xD9, 0x3B, 0x80, 0xA6,  // #+U..;..
                /* 01C0 */  0xEF, 0xD3, 0x06, 0xBB, 0x0B, 0x9C, 0x4F, 0xCF,  // ......O.
                /* 01C8 */  0x90, 0x44, 0xFE, 0x20, 0x50, 0x23, 0x33, 0xB4,  // .D. P#3.
                /* 01D0 */  0x27, 0xFC, 0xD2, 0x61, 0xC8, 0x27, 0x85, 0xC3,  // '..a.'..
                /* 01D8 */  0x62, 0x62, 0x4F, 0x1D, 0x74, 0x3C, 0xE0, 0xBF,  // bbO.t<..
                /* 01E0 */  0x8C, 0x3C, 0x69, 0x78, 0xFA, 0x9E, 0xAF, 0x4F,  // .<ix...O
                /* 01E8 */  0x0D, 0xD8, 0x93, 0x08, 0xFC, 0x01, 0xC4, 0x7E,  // .......~
                /* 01F0 */  0x74, 0x78, 0x9D, 0xF0, 0xDC, 0x1F, 0x25, 0xFC,  // tx....%.
                /* 01F8 */  0xFF, 0x3F, 0x8C, 0x00, 0xB7, 0x61, 0xE1, 0xCE,  // .?...a..
                /* 0200 */  0x04, 0x1E, 0x02, 0x1F, 0xC0, 0x93, 0xC4, 0x29,  // .......)
                /* 0208 */  0xFA, 0x4A, 0x71, 0x62, 0xB8, 0x23, 0x0B, 0x18,  // .Jqb.#..
                /* 0210 */  0x14, 0xE9, 0x38, 0x34, 0xB0, 0x8C, 0x2F, 0x00,  // ..84../.
                /* 0218 */  0xD9, 0x78, 0x01, 0x78, 0x60, 0x54, 0x09, 0x90,  // .x.x`T..
                /* 0220 */  0x86, 0x89, 0x1B, 0xC6, 0x43, 0x00, 0x26, 0xFD,  // ....C.&.
                /* 0228 */  0xEB, 0x43, 0xC7, 0x0F, 0x1F, 0x07, 0x9C, 0x9B,  // .C......
                /* 0230 */  0x44, 0xC9, 0x87, 0x44, 0xE1, 0x9C, 0xF5, 0x14,  // D..D....
                /* 0238 */  0x42, 0x41, 0x0C, 0xE8, 0x20, 0x10, 0x72, 0x72,  // BA.. .rr
                /* 0240 */  0x42, 0x40, 0x1D, 0x50, 0x3C, 0x8A, 0x53, 0x78,  // B@.P<.Sx
                /* 0248 */  0xCE, 0xF1, 0x39, 0xC2, 0xB3, 0x7C, 0x41, 0x61,  // ..9..|Aa
                /* 0250 */  0xA7, 0x0F, 0x1F, 0x24, 0x3C, 0x1E, 0x1F, 0x11,  // ...$<...
                /* 0258 */  0xB8, 0x06, 0x08, 0xDD, 0x19, 0x8C, 0x6E, 0x35,  // ......n5
                /* 0260 */  0x87, 0x14, 0x14, 0x98, 0x0F, 0x21, 0x9C, 0xA0,  // .....!..
                /* 0268 */  0xAE, 0x6B, 0x02, 0xF4, 0xF1, 0x1F, 0x81, 0x87,  // .k......
                /* 0270 */  0xF2, 0x0E, 0xF2, 0x2E, 0x92, 0xA0, 0xBE, 0x63,  // .......c
                /* 0278 */  0x02, 0x28, 0x80, 0x7C, 0x27, 0xF0, 0x68, 0x9F,  // .(.|'.h.
                /* 0280 */  0x0B, 0xD8, 0x18, 0x1E, 0x03, 0x8C, 0x66, 0x74,  // ......ft
                /* 0288 */  0x1E, 0x7E, 0xB2, 0xA8, 0xB8, 0x93, 0xA5, 0x20,  // .~..... 
                /* 0290 */  0x9E, 0xAC, 0x6F, 0x46, 0xFF, 0xFF, 0x93, 0xC5,  // ..oF....
                /* 0298 */  0xCE, 0xC4, 0x77, 0x0A, 0x4F, 0xE8, 0x94, 0x82,  // ..w.O...
                /* 02A0 */  0x9C, 0xA3, 0x27, 0xEC, 0x3B, 0x08, 0xAC, 0xAB,  // ..'.;...
                /* 02A8 */  0x40, 0xC8, 0x47, 0x05, 0x4F, 0xC3, 0x70, 0x9E,  // @.G.O.p.
                /* 02B0 */  0x2C, 0x87, 0xF3, 0x64, 0xF9, 0x58, 0x7C, 0xC7,  // ,..d.X|.
                /* 02B8 */  0x80, 0x3F, 0x5A, 0x2C, 0x41, 0x81, 0xB3, 0x05,  // .?Z,A...
                /* 02C0 */  0x39, 0x3C, 0x26, 0xD0, 0xA8, 0xE8, 0x3D, 0xC8,  // 9<&...=.
                /* 02C8 */  0xC3, 0xE3, 0x97, 0x03, 0xCF, 0xE7, 0x19, 0xE1,  // ........
                /* 02D0 */  0x28, 0xDF, 0x3F, 0x7C, 0x4A, 0xF0, 0x74, 0x8C,  // (.?|J.t.
                /* 02D8 */  0xF1, 0xEC, 0xE0, 0x21, 0xFA, 0x4A, 0x04, 0x6B,  // ...!.J.k
                /* 02E0 */  0x22, 0x27, 0xED, 0xDB, 0xC2, 0xC9, 0x06, 0x8D,  // "'......
                /* 02E8 */  0x1F, 0xD6, 0xC3, 0xF4, 0xD0, 0x70, 0x57, 0x22,  // .....pW"
                /* 02F0 */  0xB8, 0x77, 0x0A, 0x7E, 0x26, 0xC2, 0x12, 0x4C,  // .w.~&..L
                /* 02F8 */  0x79, 0xC3, 0x80, 0x3E, 0x9E, 0x53, 0xF0, 0xBC,  // y..>.S..
                /* 0300 */  0x7C, 0xC3, 0x00, 0x6E, 0xFF, 0xFF, 0x1B, 0x06,  // |..n....
                /* 0308 */  0xC0, 0xCF, 0xF3, 0x96, 0x6F, 0x18, 0xC0, 0x6B,  // ....o..k
                /* 0310 */  0xFC, 0xFE, 0xFF, 0x1F, 0x0C, 0x71, 0x37, 0x0C,  // .....q7.
                /* 0318 */  0xB8, 0x77, 0x0A, 0xCC, 0x11, 0x03, 0x4F, 0x30,  // .w....O0
                /* 0320 */  0xE7, 0x15, 0x03, 0x75, 0x02, 0xB0, 0x96, 0x2B,  // ...u...+
                /* 0328 */  0x06, 0xFA, 0xAE, 0x74, 0x02, 0xA7, 0xF6, 0xB0,  // ...t....
                /* 0330 */  0xE6, 0x0B, 0xD9, 0x53, 0x11, 0xC0, 0xC7, 0xFF,  // ...S....
                /* 0338 */  0xFF, 0x1D, 0x03, 0x30, 0x09, 0xE9, 0x3B, 0x06,  // ...0..;.
                /* 0340 */  0x78, 0x2E, 0x15, 0xB8, 0x43, 0x06, 0x3E, 0xED,  // x...C.>.
                /* 0348 */  0x1D, 0x03, 0xC5, 0x61, 0x35, 0xF7, 0x38, 0x68,  // ...a5.8h
                /* 0350 */  0xD7, 0xCC, 0xA7, 0x0C, 0xCC, 0x25, 0x03, 0x30,  // .....%.0
                /* 0358 */  0xF7, 0xFF, 0xBF, 0x64, 0x00, 0xFC, 0x89, 0x75,  // ...d...u
                /* 0360 */  0xC9, 0x00, 0x6A, 0x12, 0x4E, 0x9D, 0xE4, 0x26,  // ..j.N..&
                /* 0368 */  0x07, 0x6E, 0x9C, 0x37, 0x0B, 0x5C, 0xE2, 0x6B,  // .n.7.\.k
                /* 0370 */  0x06, 0xEA, 0x8C, 0x6D, 0x3D, 0x40, 0xFA, 0xFF,  // ...m=@..
                /* 0378 */  0x5F, 0xE6, 0x60, 0x61, 0xE3, 0xEE, 0x19, 0x00,  // _.`a....
                /* 0380 */  0xBB, 0xFF, 0xFF, 0xF7, 0x0C, 0xD8, 0xC1, 0xEE,  // ........
                /* 0388 */  0x19, 0x40, 0xED, 0x8A, 0xEC, 0x3B, 0x3E, 0x78,  // .@...;>x
                /* 0390 */  0xEE, 0x73, 0xF0, 0x0E, 0x1A, 0x58, 0x82, 0x49,  // .s...X.I
                /* 0398 */  0xBE, 0x0E, 0x3E, 0x15, 0x78, 0xF5, 0x8A, 0xB4,  // ..>.x...
                /* 03A0 */  0x22, 0x0A, 0x63, 0x0F, 0xE7, 0x01, 0x28, 0xA3,  // ".c...(.
                /* 03A8 */  0x38, 0x80, 0x53, 0x3A, 0x3A, 0x76, 0xE7, 0x30,  // 8.S::v.0
                /* 03B0 */  0x1C, 0x1F, 0xBC, 0x87, 0xF4, 0xE8, 0x7E, 0x38,  // ......~8
                /* 03B8 */  0x2F, 0x17, 0xBE, 0x4F, 0x1B, 0x92, 0x5D, 0xF0,  // /..O..].
                /* 03C0 */  0x71, 0xB7, 0x0C, 0x8F, 0xE8, 0xED, 0xC3, 0x07,  // q.......
                /* 03C8 */  0x6B, 0x5F, 0xB7, 0x7D, 0xCA, 0xF0, 0x28, 0x38,  // k_.}..(8
                /* 03D0 */  0x1A, 0x1F, 0x33, 0xBC, 0x01, 0xBE, 0xE9, 0x9F,  // ..3.....
                /* 03D8 */  0xE7, 0xE1, 0x7B, 0xAC, 0xAF, 0xD9, 0xEC, 0xA4,  // ..{.....
                /* 03E0 */  0xE0, 0x31, 0x83, 0xE7, 0xE6, 0xCD, 0xA6, 0x1B,  // .1......
                /* 03E8 */  0xE2, 0xE9, 0xC4, 0x08, 0xB1, 0x8C, 0xF3, 0x78,  // .......x
                /* 03F0 */  0xF0, 0x7E, 0x60, 0xAD, 0xF3, 0xD1, 0xB1, 0x9C,  // .~`.....
                /* 03F8 */  0x5D, 0x44, 0xD8, 0x20, 0xF8, 0x4D, 0xDE, 0x1E,  // ]D. .M..
                /* 0400 */  0x6F, 0x5B, 0x3A, 0x45, 0x70, 0x63, 0x90, 0x3A,  // o[:Epc.:
                /* 0408 */  0x3B, 0xBC, 0x45, 0xB4, 0x26, 0xE0, 0xFF, 0x7F,  // ;.E.&...
                /* 0410 */  0x5E, 0x88, 0xF0, 0x04, 0xD0, 0x16, 0xB6, 0x10,  // ^.......
                /* 0418 */  0xC2, 0xC5, 0x8A, 0x72, 0xA8, 0x07, 0x12, 0x24,  // ...r...$
                /* 0420 */  0x4E, 0x94, 0xE2, 0x00, 0x65, 0x0E, 0x8F, 0x00,  // N...e...
                /* 0428 */  0x07, 0xE9, 0x0D, 0x55, 0x40, 0xA1, 0x83, 0xC7,  // ...U@...
                /* 0430 */  0x0B, 0x19, 0x25, 0x50, 0xA8, 0x04, 0x1E, 0x36,  // ..%P...6
                /* 0438 */  0x6E, 0xFC, 0x1E, 0xD8, 0x43, 0x81, 0xC7, 0xFF,  // n...C...
                /* 0440 */  0xDE, 0x60, 0x02, 0x4F, 0xFA, 0xB8, 0xDE, 0xDB,  // .`.O....
                /* 0448 */  0x83, 0x1F, 0x6D, 0xD4, 0x18, 0xA1, 0x99, 0x90,  // ..m.....
                /* 0450 */  0xE7, 0x87, 0x0E, 0x0C, 0x3E, 0xB4, 0x19, 0x9E,  // ....>...
                /* 0458 */  0x9F, 0x2C, 0x7C, 0x32, 0xF0, 0xC8, 0x0E, 0xDB,  // .,|2....
                /* 0460 */  0x83, 0x7D, 0xCE, 0xF7, 0x75, 0xDD, 0xB7, 0xF9,  // .}..u...
                /* 0468 */  0xD7, 0x17, 0x46, 0xE0, 0xB3, 0x87, 0x8F, 0x20,  // ..F.... 
                /* 0470 */  0x70, 0xEE, 0x0B, 0x01, 0x5F, 0x0E, 0x1E, 0x0D,  // p..._...
                /* 0478 */  0xD8, 0x43, 0xC7, 0x70, 0x7C, 0xB8, 0x3E, 0x93,  // .C.p|.>.
                /* 0480 */  0xF8, 0xCE, 0xCE, 0x01, 0x7D, 0x06, 0x81, 0x3F,  // ....}..?
                /* 0488 */  0x1E, 0x9F, 0x06, 0x3C, 0x9F, 0x9E, 0x21, 0x89,  // ...<..!.
                /* 0490 */  0xFC, 0x41, 0xA0, 0x0E, 0x2A, 0x7C, 0xCA, 0xA7,  // .A..*|..
                /* 0498 */  0xF5, 0x52, 0xE0, 0x93, 0xC2, 0x61, 0x31, 0xB1,  // .R...a1.
                /* 04A0 */  0x67, 0x16, 0x3A, 0x1E, 0xF0, 0x2B, 0x1E, 0xBF,  // g.:..+..
                /* 04A8 */  0x10, 0x4E, 0xDF, 0xF3, 0xF5, 0xA9, 0x01, 0x7B,  // .N.....{
                /* 04B0 */  0x44, 0x81, 0x77, 0xFB, 0xE7, 0x87, 0x06, 0x1C,  // D.w.....
                /* 04B8 */  0xCE, 0xAB, 0x04, 0x03, 0x7C, 0xAD, 0xF0, 0xC9,  // ....|...
                /* 04C0 */  0xC2, 0x57, 0x00, 0x13, 0x14, 0x79, 0x92, 0x40,  // .W...y.@
                /* 04C8 */  0xCF, 0xE1, 0xFF, 0x7F, 0x10, 0xEC, 0x24, 0xF0,  // ......$.
                /* 04D0 */  0xC4, 0xC2, 0x80, 0x5F, 0x5A, 0x7C, 0x81, 0x60,  // ..._Z|.`
                /* 04D8 */  0x27, 0x0C, 0x23, 0x9C, 0xE9, 0xF3, 0xC1, 0x83,  // '.#.....
                /* 04E0 */  0x86, 0x35, 0x4F, 0x4A, 0x37, 0x99, 0xD3, 0x7A,  // .5OJ7..z
                /* 04E8 */  0x21, 0xF0, 0xB0, 0xB0, 0x67, 0x02, 0x0F, 0x81,  // !...g...
                /* 04F0 */  0x0F, 0xE0, 0x49, 0xE2, 0x14, 0x7D, 0xA5, 0x38,  // ..I..}.8
                /* 04F8 */  0x31, 0xDC, 0xC8, 0x30, 0xB3, 0x82, 0x75, 0x1A,  // 1..0..u.
                /* 0500 */  0x64, 0x27, 0x0E, 0x27, 0xBD, 0xC2, 0x42, 0x81,  // d'.'..B.
                /* 0508 */  0x3F, 0x9E, 0xA0, 0xC7, 0x10, 0xFD, 0x90, 0x1E,  // ?.......
                /* 0510 */  0x34, 0x0E, 0xE8, 0x10, 0x1E, 0x0C, 0x3C, 0xA5,  // 4.....<.
                /* 0518 */  0xD7, 0x2A, 0x80, 0x45, 0xFF, 0xFF, 0x6B, 0x15,  // .*.E..k.
                /* 0520 */  0xE0, 0x2D, 0xD4, 0xB5, 0x0A, 0xA8, 0x0D, 0xD3,  // .-......
                /* 0528 */  0x57, 0x0F, 0xFC, 0x9D, 0x08, 0xDE, 0xC4, 0x0C,  // W.......
                /* 0530 */  0xF7, 0x73, 0xF1, 0x5A, 0x71, 0x66, 0x31, 0x02,  // .s.Zqf1.
                /* 0538 */  0xC6, 0xF2, 0xC1, 0xC2, 0x37, 0x14, 0x5F, 0x37,  // ....7._7
                /* 0540 */  0xC8, 0x62, 0xA8, 0xFC, 0x55, 0x48, 0x18, 0x0C,  // .b..UH..
                /* 0548 */  0xEA, 0x9C, 0xE8, 0x4B, 0x15, 0xDC, 0x5B, 0x10,  // ...K..[.
                /* 0550 */  0x38, 0xC3, 0x8D, 0x0E, 0x34, 0x53, 0x3B, 0xD7,  // 8...4S;.
                /* 0558 */  0x30, 0xD1, 0x0E, 0xCE, 0xFF, 0xFF, 0x41, 0x1C,  // 0.....A.
                /* 0560 */  0x45, 0x94, 0x30, 0x6C, 0x7C, 0x0C, 0xE8, 0xE5,  // E.0l|...
                /* 0568 */  0xC0, 0x48, 0x9E, 0xB5, 0x2F, 0x63, 0x3E, 0xB0,  // .H../c>.
                /* 0570 */  0x30, 0x2C, 0x9F, 0xC8, 0x3C, 0x03, 0x86, 0x15,  // 0,..<...
                /* 0578 */  0x23, 0x54, 0x48, 0xCC, 0x15, 0xC4, 0x37, 0x32,  // #TH...72
                /* 0580 */  0x63, 0xBC, 0xFD, 0x04, 0xF2, 0x71, 0xE1, 0x39,  // c....q.9
                /* 0588 */  0xCB, 0x87, 0x4A, 0x83, 0x1B, 0xD7, 0xA8, 0x6C,  // ..J....l
                /* 0590 */  0x4C, 0x67, 0x83, 0x1B, 0x98, 0x09, 0x4E, 0xDD,  // Lg....N.
                /* 0598 */  0x57, 0x2B, 0xDC, 0x04, 0xDE, 0x1E, 0x7C, 0xFB,  // W+....|.
                /* 05A0 */  0x61, 0xEE, 0x0F, 0x56, 0x04, 0xE1, 0xC1, 0xE1,  // a..V....
                /* 05A8 */  0x4C, 0x9F, 0x60, 0x6A, 0xC3, 0xD0, 0xB1, 0xCA,  // L.`j....
                /* 05B0 */  0x87, 0x86, 0x58, 0x4F, 0x55, 0x8F, 0x55, 0x46,  // ..XOU.UF
                /* 05B8 */  0x08, 0x1A, 0xC5, 0x60, 0x11, 0x42, 0xC5, 0x33,  // ...`.B.3
                /* 05C0 */  0xEA, 0x39, 0x07, 0x89, 0xFA, 0x30, 0x11, 0x24,  // .9...0.$
                /* 05C8 */  0xDA, 0xA3, 0xD5, 0x81, 0x3F, 0x4F, 0x18, 0xA5,  // ....?O..
                /* 05D0 */  0xFD, 0x41, 0x90, 0x68, 0xE7, 0x01, 0xFD, 0x08,  // .A.h....
                /* 05D8 */  0x2C, 0x09, 0x44, 0x46, 0xAE, 0x32, 0xF4, 0x44,  // ,.DF.2.D
                /* 05E0 */  0xE1, 0xE1, 0x78, 0x26, 0x4F, 0x50, 0x0F, 0x0F,  // ..x&OP..
                /* 05E8 */  0x1E, 0x95, 0x25, 0x00, 0xEA, 0x9E, 0x62, 0x51,  // ..%...bQ
                /* 05F0 */  0xA7, 0x07, 0xD4, 0xE5, 0xC5, 0xA7, 0x07, 0x76,  // .......v
                /* 05F8 */  0x0D, 0x38, 0xC0, 0x53, 0xF7, 0xE1, 0x01, 0x73,  // .8.S...s
                /* 0600 */  0x5D, 0x82, 0x0F, 0x88, 0xF7, 0x7E, 0xC9, 0x43,  // ]....~.C
                /* 0608 */  0x00, 0xB2, 0xA3, 0x2A, 0x78, 0xA6, 0x78, 0x92,  // ...*x.x.
                /* 0610 */  0xC7, 0x79, 0x0E, 0xAF, 0x4E, 0xC7, 0xC6, 0xAF,  // .y..N...
                /* 0618 */  0x04, 0x7C, 0x2C, 0x47, 0xC5, 0x0E, 0x27, 0x30,  // .|,G..'0
                /* 0620 */  0xCE, 0x0E, 0xA7, 0xFD, 0x62, 0xE5, 0xA5, 0xF9,  // ....b...
                /* 0628 */  0xC4, 0xE1, 0x63, 0x04, 0xEE, 0xFF, 0x7F, 0x38,  // ..c....8
                /* 0630 */  0x81, 0x77, 0x12, 0x78, 0x36, 0x01, 0x0B, 0xF6,  // .w.x6...
                /* 0638 */  0xE3, 0x02, 0xEE, 0x02, 0x70, 0x00, 0xC7, 0x14,  // ....p...
                /* 0640 */  0xE1, 0x15, 0x88, 0xDD, 0xA5, 0x80, 0xC7, 0x08,  // ........
                /* 0648 */  0x78, 0xC0, 0x1F, 0xA2, 0x09, 0x14, 0x68, 0x88,  // x.....h.
                /* 0650 */  0x0A, 0xB6, 0x50, 0x0A, 0xE3, 0x7B, 0x22, 0xE0,  // ..P..{".
                /* 0658 */  0x68, 0x98, 0xEF, 0x89, 0x60, 0xBB, 0x69, 0xE2,  // h...`.i.
                /* 0660 */  0xC1, 0xA2, 0x04, 0xEB, 0xF2, 0xAA, 0x08, 0xC2,  // ........
                /* 0668 */  0xC3, 0x43, 0x90, 0xE7, 0x8D, 0x97, 0x87, 0x18,  // .C......
                /* 0670 */  0x51, 0x8E, 0xF4, 0x41, 0xD1, 0x03, 0x79, 0x4E,  // Q..A..yN
                /* 0678 */  0x88, 0x10, 0xE8, 0x55, 0xD1, 0x60, 0xFF, 0xFF,  // ...U.`..
                /* 0680 */  0x20, 0xEF, 0x1D, 0x2F, 0x21, 0x3E, 0x12, 0xBC,  //  ../!>..
                /* 0688 */  0x7B, 0xC4, 0x33, 0x52, 0x90, 0x48, 0x21, 0x83,  // {.3R.H!.
                /* 0690 */  0x1D, 0x92, 0x31, 0x4E, 0x27, 0x50, 0xBC, 0x18,  // ..1N'P..
                /* 0698 */  0xAF, 0x8A, 0x00, 0x17, 0x4F, 0xBB, 0x98, 0x23,  // ....O..#
                /* 06A0 */  0x0D, 0xBF, 0x04, 0xC2, 0x38, 0x8F, 0x80, 0xE7,  // ....8...
                /* 06A8 */  0xFF, 0x7F, 0x55, 0x04, 0xBE, 0xF1, 0x5F, 0x09,  // ..U..._.
                /* 06B0 */  0x3A, 0x00, 0x38, 0xFA, 0xAB, 0x43, 0x57, 0x45,  // :.8..CWE
                /* 06B8 */  0x7E, 0x18, 0xB1, 0x38, 0x20, 0x0D, 0x13, 0x73,  // ~..8 ..s
                /* 06C0 */  0xC7, 0xE7, 0x47, 0x23, 0x76, 0x00, 0x31, 0x84,  // ..G#v.1.
                /* 06C8 */  0xC5, 0x50, 0x48, 0x0A, 0x84, 0x0E, 0x7B, 0xFC,  // .PH...{.
                /* 06D0 */  0xBC, 0x67, 0x30, 0x83, 0x78, 0x14, 0xBE, 0x5B,  // .g0.x..[
                /* 06D8 */  0xDB, 0xC6, 0x61, 0x0F, 0x7A, 0x8C, 0xC3, 0x1E,  // ..a.z...
                /* 06E0 */  0xA8, 0x07, 0xCA, 0x8E, 0x09, 0xB0, 0x87, 0xF0,  // ........
                /* 06E8 */  0x9A, 0x50, 0xF5, 0x68, 0x74, 0x7B, 0xB0, 0xBA,  // .P.ht{..
                /* 06F0 */  0x7B, 0x0F, 0xE4, 0x33, 0x1F, 0x60, 0xE1, 0xFF,  // {..3.`..
                /* 06F8 */  0x7F, 0xE6, 0x03, 0x2E, 0xB7, 0x03, 0x7E, 0x2B,  // ......~+
                /* 0700 */  0xC7, 0xC1, 0x3C, 0x59, 0xF0, 0x97, 0x01, 0x3B,  // ..<Y...;
                /* 0708 */  0x2D, 0xF0, 0x21, 0x58, 0xE0, 0x69, 0x01, 0x79,  // -.!X.i.y
                /* 0710 */  0x52, 0xC7, 0x10, 0x58, 0xD4, 0x71, 0x01, 0x25,  // R..X.q.%
                /* 0718 */  0x87, 0x42, 0xE7, 0x05, 0x1F, 0x17, 0x78, 0x7C,  // .B....x|
                /* 0720 */  0x30, 0x0A, 0xE2, 0xE3, 0x82, 0xA3, 0x1D, 0x17,  // 0.......
                /* 0728 */  0xD0, 0xD7, 0x54, 0x78, 0xE7, 0x05, 0x78, 0xD7,  // ..Tx..x.
                /* 0730 */  0x54, 0x76, 0x5E, 0x00, 0xAC, 0xC5, 0x3A, 0x2F,  // Tv^...:/
                /* 0738 */  0x80, 0xFE, 0xFF, 0x7F, 0x5E, 0x80, 0x7B, 0x0E,  // ....^.{.
                /* 0740 */  0xF0, 0xB1, 0x0E, 0x3C, 0xF7, 0x03, 0xCC, 0x7D,  // ...<...}
                /* 0748 */  0x01, 0x22, 0x58, 0x9B, 0x3E, 0x35, 0x1A, 0xB5,  // ."X.>5..
                /* 0750 */  0x6A, 0x50, 0xA6, 0x46, 0x99, 0x06, 0xB5, 0xFA,  // jP.F....
                /* 0758 */  0x54, 0x6A, 0xCC, 0x98, 0xA6, 0xE1, 0xF9, 0xA8,  // Tj......
                /* 0760 */  0x40, 0xC5, 0x2C, 0x4A, 0xA3, 0x72, 0x14, 0x10,  // @.,J.r..
                /* 0768 */  0x2A, 0xF5, 0xF5, 0x24, 0x23, 0x20, 0xD2, 0x0D,  // *..$# ..
                /* 0770 */  0x22, 0x20, 0x6B, 0x7C, 0x13, 0x0A, 0xC8, 0x8A,  // " k|....
                /* 0778 */  0x41, 0x04, 0x64, 0x35, 0xAB, 0x12, 0x90, 0xA5,  // A.d5....
                /* 0780 */  0x81, 0x08, 0xC8, 0x32, 0x4C, 0x00, 0x31, 0x51,  // ...2L.1Q
                /* 0788 */  0x20, 0x02, 0x72, 0x68, 0x15, 0x40, 0x4C, 0xC1,  //  .rh.@L.
                /* 0790 */  0xAA, 0x05, 0xE4, 0xB4, 0x20, 0x02, 0x72, 0x76,  // .... .rv
                /* 0798 */  0x20, 0x9A, 0xEE, 0xF1, 0x20, 0x20, 0x47, 0x05,  //  ...  G.
                /* 07A0 */  0x11, 0x90, 0x63, 0xE9, 0x00, 0x62, 0x21, 0x41,  // ..c..b!A
                /* 07A8 */  0x04, 0xE4, 0x30, 0xAF, 0x02, 0x01, 0x39, 0x19,  // ..0...9.
                /* 07B0 */  0x88, 0x80, 0x9C, 0x82, 0x46, 0x40, 0xCE, 0x44,  // ....F@.D
                /* 07B8 */  0x21, 0x20, 0x6B, 0x78, 0x06, 0x6B, 0x78, 0x4E,  // ! kx.kxN
                /* 07C0 */  0xFE, 0x96, 0x10, 0x90, 0x75, 0x5B, 0x01, 0x61,  // ....u[.a
                /* 07C8 */  0xCA, 0xBC, 0x80, 0x32, 0x99, 0x20, 0x3A, 0x4A,  // ...2. :J
                /* 07D0 */  0x92, 0xD5, 0x0B, 0xC8, 0x02, 0x41, 0x04, 0xE4,  // .....A..
                /* 07D8 */  0xE0, 0x6E, 0x40, 0x58, 0xE4, 0xA7, 0x84, 0xCE,  // .n@X....
                /* 07E0 */  0xC6, 0x44, 0x0F, 0x10, 0x13, 0xEB, 0x07, 0x84,  // .D......
                /* 07E8 */  0x49, 0x31, 0x04, 0xCC, 0x84, 0x81, 0x08, 0xC8,  // I1......
                /* 07F0 */  0x42, 0x1C, 0x01, 0x31, 0x59, 0x20, 0x02, 0xF2,  // B..1Y ..
                /* 07F8 */  0xFF, 0x1F                                       // ..
            })
        }
    }
}

